Bug 1654440 - latest kernel 4.19.3 update breaks the ability to suspend my PC
Summary: latest kernel 4.19.3 update breaks the ability to suspend my PC
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 19:41 UTC by Bond Masuda
Modified: 2019-02-21 21:11 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:11:25 UTC


Attachments (Terms of Use)

Description Bond Masuda 2018-11-28 19:41:04 UTC
Description of problem:
After recent update to kernel 4.19.3-200.fc28.x86_64 package, my PC no longer suspends correctly. When I try to suspend, the video is shut off, but the rest of the PC remains powered on, so it appears to be partially suspended. When I wake the computer up, I see these errors:

Nov 27 11:03:29 host1 kernel: PM: suspend devices took 0.397 seconds
Nov 27 11:03:29 host1 kernel: pcieport 0000:00:03.2: AER: Multiple Corrected error received: 0000:00:03.2
Nov 27 11:03:29 host1 kernel: PM: noirq suspend of devices failed
Nov 27 11:03:29 host1 kernel: pcieport 0000:00:03.2: PCIe Bus Error: severity=Corrected, type=Data Link Layer, (Transmitter ID)
Nov 27 11:03:29 host1 kernel: pcieport 0000:00:03.2:   device [8086:2f0a] error status/mask=00001100/00002000
Nov 27 11:03:29 host1 kernel: pcieport 0000:00:03.2:    [ 8] Rollover              
Nov 27 11:03:29 host1 kernel: pcieport 0000:00:03.2:    [12] Timeout     

When i reboot back to kernel 4.18.18-200.fc28.x86_64, the suspend function returns to normal. The "0000:00:03.2" on my system is:

# lspci -D | grep 00:03.2
0000:00:03.2 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3 (rev 02)

The hardware is a ASRock X99 Extreme11 motherboard with Intel Core i7-5960x.


Version-Release number of selected component (if applicable):
kernel 4.19.3-200.fc28.x86_64

How reproducible:


Steps to Reproduce:
1. update to kernel 4.19.3-200.fc28.x86_64
2. attempt to suspend system
3.

Actual results:
video shuts off, but PC remains powered on, fans are running, hard drives are still spinning.

Expected results:
everything powers off (hard drives, fans, power LED, etc.).

Additional info:

Comment 1 Bond Masuda 2018-12-14 22:21:54 UTC
recently updated to kernel 4.19.8-200.fc28.x86_64, and the problem appears to be gone. although, after waking from suspend, screen lock is not engaged in MATE desktop; but that is probably not related to this.

Comment 2 Justin M. Forbes 2019-01-29 16:26:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-02-21 21:11:25 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.